# Customize vehicle

เมื่อการปรับแต่งรถเสร็จสิ้น และมีการเปลี่ยนแปลงรายละเอียดที่ตัวรถ ไม่ว่าจะเป็น สี ล้อ หรือ อื่นๆ จะต้องมีการใช้ Function พิเศษ เพื่อให้ *ZOBYETEAM\_GARAGE* รับรู้ว่ามีการเปลี่ยนแปลงรายละเอียดที่ตัวรถ ดังตัวอย่าง \
บรรทัดที่ 6

{% code title="esx\_lscustom (client)" lineNumbers="true" %}

```lua
RegisterNetEvent('esx_lscustom:installMod')
AddEventHandler('esx_lscustom:installMod', function()
    local vehicle = GetVehiclePedIsIn(PlayerPedId(), false)
    myCar = ESX.Game.GetVehicleProperties(vehicle)
    TriggerServerEvent('esx_lscustom:refreshOwnedVehicle', myCar)
    exports['zobyeteam_garage']:saveProps()
end)
```

{% endcode %}

สำหรับ Function "saveProps" จะไม่มีการรับค่าใดๆ สำหรับการเรียกใช้จากทรัพยากรอื่นๆสามารถ\
ทำได้ดังตัวอย่าง:

```lua
exports['zobyeteam_garage']:saveProps()
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zobyeteam.com/resource/zobyeteam_garage/connection/customvehicle.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
